iLib is a cross-engine library of internationalization (i18n) classes written in pure JS
iLib project for webOS
Internationalization support for Enact using iLib
Load and cache iLib locale data
Common environment detection functions for ilib. iLib is a cross-engine library of internationalization (i18n) classes written in pure JS
Common utility functions for ilib. iLib is a cross-engine library of internationalization (i18n) classes written in pure JS
Common utility functions for ilib. iLib is a cross-engine library of internationalization (i18n) classes written in pure JS
Library of common classes and functions for the ilib command-line tools
A locale matcher to resolve partial locales or find fallback locales. iLib is a cross-engine library of internationalization (i18n) classes written in pure JS
Utilities used to generate locale data for ilib packages
iLib project for enact
ES6 wrappers around iLib classes
ilib-lint plugin to check python
A plug in for webpack that knows how to load ilib locale data files.
ilib-lint plugin to lint react files for i18n problems
A loader for webpack that knows how to load ilib locale data files.
ilib-lint plugin to support webOS Platform
A package to build, construct, and deconstruct an arbitrary tree of nodes.
ilib-lint plugin to check python resources using the GNU gettext library
Script information utilities for ilib. iLib is a cross-engine library of internationalization (i18n) classes written in pure JS
A BCP-47/IETF locale specifier parser/validator
A utility which scans your source code and creates a webpack meta file that includes only those ilib classes that your code is actually using.
Loader to load text files in a cross-platform manner
Formattable string with the same API as an intrinsic string
Bindings to the WPILib suite.
A bilibili video converter
A rust library project got inspiration from Passkou/bilibili-api
Tools to extract and compile bilibili downloads.
Tools to extract and compile bilibili downloads.
Tools to extract and compile bilibili downloads.
Merge bilibili downloaded videos.
哔哩哔哩聊天记录获取工具
三方 bilibili sdk
A graphical prototyping library for my students
Library for building Rust CLIs
A dependency injection library for Rust
zenprofiler helps answer WHAT is being called the most. spy_on helps answer WHERE those calls are being made. ZenProfiler provides a faster version of the standard library ruby profiler. It is otherwise pretty much the same as before. spy_on provides a clean way to redefine a bottleneck method so you can account for and aggregate all the calls to it. % ruby -Ilib bin/zenprofile misc/factorial.rb 50000 Total time = 3.056884 Total time = 2.390000 total self self total % time seconds seconds calls ms/call ms/call name 50.70 1.64 1.64 50000 0.03 0.05 Integer#downto 19.63 2.27 0.63 200000 0.00 0.00 Fixnum#* 14.19 2.73 0.46 50000 0.01 0.05 Factorial#factorial 9.93 3.05 0.32 1 320.36 3047.10 Range#each 5.54 3.23 0.18 2 89.40 178.79 ZenProfiler#start_hook Once you know that Integer#downto takes 50% of the entire run, you can use spy_on to find it. (See misc/factorial.rb for the actual code): % SPY=1 ruby -Ilib misc/factorial.rb 50000 Spying on Integer#downto Integer.downto 50000: total 50000: ./misc/factorial.rb:6:in `factorial' via ./misc/factorial.rb:6:in `factorial'
# mdtoc - Markdown Table of Contents Read Markdown files and output a table of contents. ## Installation Requirements: * [Ruby](https://www.ruby-lang.org/en/) (see [.ruby-version](./.ruby-version)) ```bash gem install mdtoc ``` ## Usage ```bash mdtoc --help Usage: mdtoc [options] files or directories... -h, --help Show this message -o, --output PATH Update a table of contents in the file at PATH -a, --[no-]append Append to the --output file if a <!-- mdtoc --> tag isn't found -c, --[no-]create Create the --output file if it does not exist ``` 1. Add a `<!-- mdtoc -->` tag to a Markdown file. ```bash echo '<!-- mdtoc -->' >> README.md ``` 2. Run `mdtoc` and specify input files or directories (eg. the "test/samples" directory) and an output file (eg. "README.md"). ```bash mdtoc -aco README.md test/samples ``` ## Example Rakefile Create a `Rakefile` with the contents below, then run [`rake`](https://github.com/ruby/rake) to: * `git pull` * `git add` any `*.md` files * Run `mdtoc` to update the generated table of contents in the ./README.md file * Git commit and push any changes ```ruby task default: %w[mdtoc] desc 'Update Markdown table of contents and push changes to the git repository' task :mdtoc do command = <<~CMD set -e if [ -n "$(git diff --name-only --diff-filter=U)" ]; then echo 'Error: conflicts exist' >&2 exit 1 fi mdtoc --append --create --output README.md docs/ git add *.md **/*.md git commit -qm 'Update TOC' || true git pull git push CMD sh command, verbose: false do |ok, status| unless ok fail "Failed with status: #{status.exitstatus}" end end end ``` See [andornaut/til](https://github.com/andornaut/til/blob/master/Rakefile) for an example. ## Development ### Setup Requirements: * [Bundler](https://bundler.io/) * [chruby](https://github.com/postmodern/chruby) (recommended) ```bash # Setup development environment bin/setup ``` ### Tasks ```bash # List rake tasks rake -T rake build # Build gem into the pkg directory rake default # Run the build, rubocop, sorbet and test tasks rake install # Build and install gem into system gems rake rubocop # Run RuboCop rake sorbet # Run the Sorbet type checker rake test # Run tests # Run mdtoc with test inputs ruby -Ilib bin/mdtoc test/samples # Run mdtoc with test inputs, and write to a newly created output file f=$(mktemp) && ruby -Ilib bin/mdtoc -aco ${f} test/samples ; cat ${f} ``` ### Publishing 1. Bump version in `lib/mdtoc/version.rb` 2. Run `bundle install` to update `Gemfile.lock` 3. Commit the changes 4. Run `rake release` to publish the gem to RubyGems, create the git tag, and push
Provides SMTP STARTTLS support for Ruby 1.8.6 (built-in for 1.8.7+). Simply require 'smtp_tls' and use the Net::SMTP#enable_starttls method to talk to servers that use STARTTLS. require 'net/smtp' begin require 'smtp_tls' rescue LoadError end smtp = Net::SMTP.new address, port smtp.enable_starttls smtp.start Socket.gethostname, user, password, authentication do |server| server.send_message message, from, to end You can also test your SMTP connection settings using mail_smtp_tls: $ date | ruby -Ilib bin/mail_smtp_tls smtp.example.com submission \ "your username" "your password" plain \ from@example.com to@example.com Using SMTP_TLS 1.0.3 -> "220 smtp.example.com ESMTP XXX\r\n" <- "EHLO you.example.com\r\n" -> "250-smtp.example.com at your service, [192.0.2.1]\r\n" -> "250-SIZE 35651584\r\n" -> "250-8BITMIME\r\n" -> "250-STARTTLS\r\n" -> "250-ENHANCEDSTATUSCODES\r\n" -> "250 PIPELINING\r\n" <- "STARTTLS\r\n" -> "220 2.0.0 Ready to start TLS\r\n" TLS connection started <- "EHLO you.example.com\r\n" -> "250-smtp.example.com at your service, [192.0.2.1]\r\n" -> "250-SIZE 35651584\r\n" -> "250-8BITMIME\r\n" -> "250-AUTH LOGIN PLAIN\r\n" -> "250-ENHANCEDSTATUSCODES\r\n" -> "250 PIPELINING\r\n" <- "AUTH PLAIN BASE64_STUFF_HERE\r\n" -> "235 2.7.0 Accepted\r\n" <- "MAIL FROM:<from@example.com>\r\n" -> "250 2.1.0 OK XXX\r\n" <- "RCPT TO:<to@example.com>\r\n" -> "250 2.1.5 OK XXX\r\n" <- "DATA\r\n" -> "354 Go ahead XXX\r\n" writing message from String wrote 91 bytes -> "250 2.0.0 OK 1247028988 XXX\r\n" <- "QUIT\r\n" -> "221 2.0.0 closing connection XXX\r\n" This will connect to smtp.example.com using the submission port (port 587) with a username and password of "your username" and "your password" and authenticate using plain-text auth (the submission port always uses SSL) then send the current date to to@example.com from from@example.com. Debug output from the connection will be printed on stderr.
No description provided.
No description provided.
No description provided.
No description provided.
No description provided.